CREATE TABLE [Zaehlerstand] (
  [Id_Zaehlerstand] BIGINT IDENTITY(0,1) NOT NULL,
  [Ref_Energiezaehler] BIGINT NULL,
  [Zeitpunkt] DATETIME NOT NULL,
  [Stand] NUMERIC(18,3) NOT NULL DEFAULT 0,
  [Counter] BIGINT NOT NULL DEFAULT 0,
  [ImpulseJeEinh] INTEGER NOT NULL DEFAULT 0,
  CONSTRAINT [Pk_Zhlerstand] PRIMARY KEY ([Id_Zaehlerstand])
)
GO

CREATE TABLE [Energiezaehler] (
  [Id_Energiezaehler] BIGINT IDENTITY(0,1) NOT NULL,
  [Typ] VARCHAR(20) NULL,
  [Bezeichnung] VARCHAR(50) NULL,
  [Zaehlernummer] VARCHAR(50) NULL,
  [VerteilerMAC] VARCHAR(20) NULL,
  [CounterNr] INTEGER NULL,
  [ImpulseJeEinh] INTEGER NULL,
  CONSTRAINT [Pk_Energiezaehler] PRIMARY KEY ([Id_Energiezaehler])
)
GO

ALTER TABLE [Zaehlerstand] ADD CONSTRAINT [Energiezaehler_Zaehlerstand]
  FOREIGN KEY ([Ref_Energiezaehler])
  REFERENCES [Energiezaehler] ([Id_Energiezaehler])
  ON DELETE CASCADE
  ON UPDATE CASCADE
GO

